Get Integration
curl --request GET \
--url https://api.veryfront.com/integrations/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/integrations/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/integrations/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"display_name": "<string>",
"icon": "<string>",
"description": "<string>",
"auth": {
"provider": "<string>",
"authorization_url": "<string>",
"token_url": "<string>",
"scopes": [
"<string>"
],
"optional_scopes": [
"<string>"
],
"callback_path": "<string>",
"required_apis": [
{
"name": "<string>",
"enable_url": "<string>"
}
]
},
"env_vars": [
{
"name": "<string>",
"description": "<string>",
"required": true,
"sensitive": true,
"default": "<string>",
"docs_url": "<string>"
}
],
"tools": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"requires_write": true
}
],
"project_connections": {
"connected": 1,
"expired": 1,
"disconnected": 1
},
"project_user_connections": {
"connected": 1,
"expired": 1,
"disconnected": 1
},
"prompts": [
{
"id": "<string>",
"title": "<string>",
"prompt": "<string>",
"category": "<string>",
"icon": "<string>"
}
],
"suggested_with": [
"<string>"
],
"config_schema": {
"version": 1,
"fields": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"default": null,
"options": [
{
"value": "<string>",
"label": "<string>",
"description": "<string>"
}
],
"min": 123,
"max": 123,
"step": 123
}
]
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Get Integration
Returns an integration by name.
GET
/
integrations
/
{name}
Get Integration
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Integration name
Example:
"gmail"
Query Parameters
Deprecated. Version is now baked into the package.
Response
Integration details
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I